diff --git a/version.sh b/version.sh
index 891cef1..8e24586 100755
--- a/version.sh
+++ b/version.sh
@@ -23,7 +23,7 @@ fi
 
 VER="x"
 VERSION=""
-[ -d .git ] && [ -n "`which git`" ] && git_version
+[ -d .git ] && (command -v git >/dev/null 2>&1) && git_version
 echo "#define X264_VERSION \"$VERSION\""
 API=`grep '#define X264_BUILD' < x264.h | sed -e 's/.* \([1-9][0-9]*\).*/\1/'`
 echo "#define X264_POINTVER \"0.$API.$VER\""
